$ VERIFY = F$VERIFY(0)
$!********************
$! SET_ATTRIBUTES.COM
$!	This procedure was created by Migration Specialties International (MSI)
$!	(719)784-9196, Fax: (719)784-9594, www.MigrationSpecialties.com
$	STATUS = 1
$!
$!	Procedure defines standard symbols and escape sequences used by MSI
$!	procedures.
$!
$	$MAIL_LIST	== ""	!Mail list for error messages.
$!
$!	Determine processing mode.
$!
$	_BATCH		== 0
$	IF F$MODE() .EQS. "BATCH" THEN _BATCH == 1
$	_CAPTIVE	== F$ENVIRONMENT("CAPTIVE")
$	_INTERACTIVE 	== 0
$	IF F$MODE() .EQS. "INTERACTIVE" THEN _INTERACTIVE == 1
$!
$!	Generate Process ID (_PID), Time Stamp (_TIME_STAMP),
$!	and Unique Identifier Symbols (_UID).
$!	Note: The GEN_UID procedure is called the first time the
$!	SET_ATTRIBUTES procedure is run, guarantying that the _PID,
$!	_TIME_STAMP, and _UID symbols are created.  The GEN_UID
$!	procedure can also be called independently to create new
$!	Unique ID's.
$!
$       DEPTH = F$ENVIRONMENT("DEPTH")
$       IF _INTERACTIVE .AND. DEPTH .LE. 2 THEN @SYS$UTILITIES:GEN_UID.COM
$       IF _BATCH .AND. DEPTH .LE. 1 THEN @SYS$UTILITIES:GEN_UID.COM
$!
$	IF F$TRNLNM("MSI$ATTRIBUTES") .EQS. "" 
$	  THEN
$		_BELL[0,8]	== %X7
$		_ESC[0,8]	== %X1B
$		_FF[0,8]	== %X0C
$!
$!		Define terminal control codes (escape sequences).
$!
$		_BLINK	  == "''ESC'[5m"
$		_BOLD	  == "''ESC'[1m"
$		_CANCEL	  == "''ESC'[m"
$		_CEOL	  == "''ESC'[K"		!Clear to end-of-line.
$		_CEOS	  == "''ESC'[J"		!Clear to end-of-screen.
$		_CLEAR	  == "''ESC'[2J''ESC'[1;1f" !Clear entire screen and home cursor.
$		_EOS	  == "''_ESC'[24;1f" 		!Go to end of screen.
$		_REVERSE  == "''ESC'[7m"
$		_UNDERLINE == "''ESC'[4m"
$		_USERNAME == F$EDIT(F$GETJPI("", "USERNAME"), "COLLAPSE")
$!
$!		Get process ID and node name.
$!
$		_PID == F$GETJPI("","PID")
$		_NODE == F$GETSYI("NODENAME")
$!
$!		Define common DCL command symbols.
$!
$		IF _INTERACTIVE
$		  THEN
$			SAY :== WRITE SYS$COMMAND
$			ASK :== READ SYS$COMMAND /END_OF_FILE=CANCEL_PROCEDURE /PROMPT="
$		  ELSE
$			SAY == "!"
$			ASK == "!"
$		 ENDIF
$		RESET_TERM :== SET TERMINAL /LINE_EDIT /NUMERIC_KEYPAD
$!
$!		Determine processing mode.
$!
$		_BATCH		== 0
$		IF F$MODE() .EQS. "BATCH" THEN _BATCH == 1
$		_CAPTIVE	== F$ENVIRONMENT("CAPTIVE")
$		_INTERACTIVE 	== 0
$		IF F$MODE() .EQS. "INTERACTIVE" THEN _INTERACTIVE == 1
$!
$!		Define special command symbols.
$!
$!		Create symbols representing VMS and RMS error codes.
$!		A listing of the RMS completion status codes can be found in
$!		Appendix A of the Version 5.0 VMS Record Management Services
$!		Reference Manual.
$!
$		RMS$_DEL == %X00018262		!RFA (Record File Address)-accessed record deleted.
$		RMS$_FLK == %X10B1109A		!File currently locked by another user.
$!
$!		Create process logical to indicate that attributes have already
$!		been set.
$!
$		ASSIGN /NOLOG 1 MSI$ATTRIBUTES
$	 ENDIF
$!
$ END_PROCEDURE:
$	EXIT 'STATUS' + 0*F$VERIFY(VERIFY)
$!
$!**************************************************************************
$!*			       DISCLAIMER      				   *
$!*	This software is provided as a service by Migration Specialties	   *
$!*	International (MSI).  This software is provided as is and is 	   *
$!*	neither supported nor warrantied by MSI.  The customer may use	   *
$!*	and modify this software at their own risk.             	   *
$!*			Migration Specialties International		   *
$!*			www.MigrationSpecialties.com			   *
$!*			(719)784-9196, Fax: (719)784-9594          	   *
$!*			No warranties either expressed or implied. 	   *
$!**************************************************************************
